Bug 1124627 - DisplayPort MST dock support to combine monitor displays into one screen [NEEDINFO]
Summary: DisplayPort MST dock support to combine monitor displays into one screen
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 00:09 UTC by Dave Sullivan
Modified: 2015-04-28 18:25 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-28 18:25:52 UTC
jforbes: needinfo?


Attachments (Terms of Use)

Description Dave Sullivan 2014-07-30 00:09:04 UTC
Description of problem:

Lenova T540p docking station has multiple outputs but you only activate one.

With two 1920X080 monitors hooked up you can't bind the two displays into one.

You can use xrandr to set to 3840x1080 but that's not what we are trying to do.

It appears this has been fixed, but not sure if there is proper Fedora bug hence I'm creating this one.

https://bugs.freedesktop.org/show_bug.cgi?id=72795
https://airlied.livejournal.com/79657.html
http://cgit.freedesktop.org/~airlied/linux/log/?h=drm-i915-mst-support

Version-Release number of selected component (if applicable):

Fedora 20

[dsulliva@seanymph Downloads]$ uname -a
Linux seanymph 3.15.6-200.fc20.x86_64 #1 SMP Fri Jul 18 02:36:27 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
[dsulliva@seanymph Downloads]$ rpm -qa | grep xorg-x11-drv-intel
xorg-x11-drv-intel-2.21.15-7.fc20.x86_64

How reproducible:

Go to Display-->Settings only only sees one monitor.

Can seem to disable eDP1

[dsulliva@seanymph Downloads]$ xrandr
Screen 0: minimum 320 x 200, current 3840 x 1080, maximum 8192 x 8192
eDP1 connected (normal left inverted right x axis y axis)
   1920x1080     60.06 +
   1400x1050     59.98  
   1280x1024     60.02  
   1280x960      60.00  
   1024x768      60.00  
   800x600       60.32    56.25  
   640x480       59.94  
VGA1 disconnected (normal left inverted right x axis y axis)
DP1 disconnected (normal left inverted right x axis y axis)
HDMI1 disconnected (normal left inverted right x axis y axis)
DP2 connected primary 3840x1080+0+0 (normal left inverted right x axis y axis) 531mm x 299mm
   1920x1080     60.00 +
   3840x1080     60.00* 
   2560x1024     60.00  
   1600x1200     60.00  
   1680x1050     59.95  
   1280x1024     75.02    60.02  
   1440x900      59.89  
   1280x960      60.00  
   1152x864      75.00  
   1024x768      75.08    70.07    60.00  
   832x624       74.55  
   800x600       72.19    75.00    60.32    56.25  
   640x480       75.00    72.81    66.67    60.00  
   720x400       70.08  
HDMI2 disconnected (normal left inverted right x axis y axis)

Comment 1 Josh Boyer 2014-07-30 12:18:27 UTC
(In reply to Dave Sullivan from comment #0)
> Description of problem:
> 
> Lenova T540p docking station has multiple outputs but you only activate one.
> 
> With two 1920X080 monitors hooked up you can't bind the two displays into
> one.
> 
> You can use xrandr to set to 3840x1080 but that's not what we are trying to
> do.
> 
> It appears this has been fixed, but not sure if there is proper Fedora bug
> hence I'm creating this one.
> 
> https://bugs.freedesktop.org/show_bug.cgi?id=72795
> https://airlied.livejournal.com/79657.html
> http://cgit.freedesktop.org/~airlied/linux/log/?h=drm-i915-mst-support

It's being worked on.  It isn't fixed.

Dave, do you plan on merging your MST support in 3.17 and if so, when will the userspace driver get the changes needed?

Comment 2 Josh Boyer 2014-07-30 12:19:17 UTC
For those wanting to try the patches Dave is working on, he has a Copr available:

http://copr.fedoraproject.org/coprs/airlied/mst/

Comment 3 Mike Wohlgemuth 2014-08-19 13:41:53 UTC
Are patches available somewhere for the current Fedora 20 kernels?  I've been using Dave's Copr, but when I applied some updates this morning, a lot of things were broken when I attempted to boot the old kernel.

Comment 4 Justin M. Forbes 2014-11-13 16:04:55 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 5 Stuart Auchterlonie 2014-11-17 11:41:12 UTC
Kernel 3.17.2-200.fc20.x86_64 has merged Dave's MST support patches
(previously only in kernel-3.15.8-200.mst.fc20.x86_64).

Triple head is now working for me on this stock kernel.

TODO: Test dock undock hibernate combinations.
With 3.15.8-200.mst
- Docked, hibernate, undock, resume. works ok
- Undocked, hibernate, dock, resume. Xorg crashes <- I need to retest this with 3.17.2-200.fc20


Regards
Stuart

Comment 6 Fedora Kernel Team 2015-04-28 18:25:52 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.